Loading...
Searching...
No Matches
decaf::EdDSA< Ed448Goldilocks >::Signing< CRTP, PREHASHED > Class Reference

Signing (i.e. More...

`#include <ed448.hxx>`

## Public Member Functions

SecureBuffer | sign_prehashed (const Prehash &ph) const
| Sign a prehash context, and reset the context.
SecureBuffer | sign_with_prehash (const Block &message, const Block &context=NO_CONTEXT()) const
| Sign a message using the prehasher.

## Detailed Description

Signing (i.e.

private) key class, prehashed version

The documentation for this class was generated from the following file:

- src/GENERATED/include/decaf/ed448.hxx